{
  "namespace": "animations",

  "bg_wait_1": {
    "anim_type": "wait",
    "duration": 6.5,
    "next": "@animations.alpha_bg"
  },

  "alpha_bg": {
    "anim_type": "alpha",
    "easing": "in_out_quad",
    "duration": 0.3,
    "from": 1.0,
    "to": 0
  },

  "text_alpha_1": {
    "anim_type": "alpha",
    "duration": 3.3,
    "from": 1.0,
    "to": 1.0,
    "next": "@animations.text_alpha_2"
  },

  "text_alpha_2": {
    "anim_type": "alpha",
    "easing": "in_out_quad",
    "duration": 1,
    "from": 1.0,
    "to": 1.0,
    "next": "@animations.text_wait_3"
  },

  "text_wait_3": {
    "anim_type": "wait",
    "duration": 2.07,
    "next": "@animations.text_alpha_4"
  },

  "text_alpha_4": {
    "anim_type": "alpha",
    "easing": "in_out_quad",
    "duration": 0.3,
    "from": 1.0,
    "to": 0
  },
	
	"loading_bar_anim_1": {
		"anim_type": "offset",
		"easing": "linear",
		"duration": 6.00,
		"from": [
			-900,
			100
		],
		"to": [
			20,
			100
		]
	},
	
	"progress": {
		"anim_type": "offset",
		"easing": "linear",
		"duration": 6.00,
		"from": [ -900, 100 ],
		"to": [ 20, 100 ],
		"next": "@animations.progress2"
	},
	"progress2": {
		"anim_type": "offset",
		"easing": "linear",
		"duration": 6.00,
		"from": [ 20, 100 ],
		"to": [ -900, 100 ],
		"next": "@animations.progress"
	},
	
  "loading": {
    "anim_type": "flip_book",
    "initial_uv": [ 0, 0 ],
    "frame_count": 10,
    "frame_step": 7,
    "fps": 10
  },
	
	"titleup": {
		"anim_type": "wait",
		"easing": "in_sine",
		"duration": 6.3,
		"next": "@animations.titleup2"
	},
	
	"titleup2": {
		"anim_type": "alpha",
		"from": 0,
		"to": 1,
		"easing": "in_sine",
		"duration": 0.5,
		"next": "@animations.titleoffset"
	},
	"titleoffset": {
		"anim_type": "offset",
		"from": [
			0,
			-30
		],
		"to": [
			0,
			-50
		],
		"duration": 1.5,
		"easing": "in_sine"
	}
}
